#pragma once
#include "Mod.h"

class Test : public Mod {
public:
	Test() : Mod(_("Test"), _("Mod for testing."), Category::OTHER) {
		enabled = false;
	}

private:
	virtual auto onWorldTick(Player* player) -> void override;
	virtual auto onBaseTick(Player* _this) -> void override;
	virtual auto onImGuiRender() -> void override;
	virtual auto onPacketSendBefore(Packet* packet) -> void override;
};
